com.verisign.epp.namestore.interfaces

## Class NSContactTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.namestore.interfaces.NSContactTst

- All Implemented Interfaces:
    junit.framework.Test

      public class NSContactTst
      extends junit.framework.TestCase

  Test of the use of the `NSContact` interface. This test utilizes the EPP session pool and exercises all of the operations defined in `NSContact` and the base class `EPPContact`.
  See Also:
    `NSContact`, `EPPContact`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NSContactTst(java.lang.String name)` Allocates an `NSContactTst` with a logical name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `java.lang.String` | `makeContactName()` This method generates a unique Contact Name.
    `static void` | `printEnd(java.lang.String aTest)` Print the end of a test with the `Thread` name if the current thread is a `TestThread`.
    `static void` | `printStart(java.lang.String aTest)` Print the start of a test with the `Thread` name if the current thread is a `TestThread`.
    `protected void` | `setUp()` JUNIT `setUp` method
    `static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `NSContactTst`.
    `protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
    `void` | `testContactCheck()` Unit test of `NSContact.sendContactCheck` command.
    `void` | `testContactCreate()` Unit test of `NSContact.sendCreate` command.
    `void` | `testContactDelete()` Unit test of `NSContact.sendDelete` command.
    `void` | `testContactInfo()` Unit test of `NSContact.sendContactInfo` command.
    `void` | `testContactUpdate()` Unit test of `NSContact.sendUpdate` command.
    `void` | `testEndSession()` Unit test of `EPPSession.endSession`.
    `void` | `testResellerId()` Unit test using `NSContact#setResellerId(String)` to set the reseller identifier on create and `NSContact#updateResellerId(com.verisign.epp.codec.resellerext.EPPResellerExtUpdate.Action, String)` to update the reseller identifier of an existing contact.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NSContactTst

          public NSContactTst(java.lang.String name)

      Allocates an `NSContactTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.
      Parameters:
        `name` - Logical name of the test

  - ### Method Detail

    - #### testContactCreate

          public void testContactCreate()

      Unit test of `NSContact.sendCreate` command.

    - #### testContactCheck

          public void testContactCheck()

      Unit test of `NSContact.sendContactCheck` command.

    - #### testContactInfo

          public void testContactInfo()

      Unit test of `NSContact.sendContactInfo` command.

    - #### testContactDelete

          public void testContactDelete()

      Unit test of `NSContact.sendDelete` command.

    - #### testContactUpdate

          public void testContactUpdate()

      Unit test of `NSContact.sendUpdate` command.

    - #### testResellerId

          public void testResellerId()

      Unit test using `NSContact#setResellerId(String)` to set the reseller identifier on create and `NSContact#updateResellerId(com.verisign.epp.codec.resellerext.EPPResellerExtUpdate.Action, String)` to update the reseller identifier of an existing contact.

    - #### testEndSession

          public void testEndSession()

      Unit test of `EPPSession.endSession`. One session in the session pool wil be ended.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `NSContactTst`.
      Returns:
        Test suite

    - #### main

          public static void main(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - DOCUMENT ME!

    - #### printStart

          public static void printStart(java.lang.String aTest)

      Print the start of a test with the `Thread` name if the current thread is a `TestThread`.
      Parameters:
        `aTest` - name for the test

    - #### printEnd

          public static void printEnd(java.lang.String aTest)

      Print the end of a test with the `Thread` name if the current thread is a `TestThread`.
      Parameters:
        `aTest` - name for the test

    - #### makeContactName

          public java.lang.String makeContactName()

      This method generates a unique Contact Name.
      Returns:
        Unique contact name

Copyright © VeriSign Inc. All Rights Reserved.